Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Konrad Podczeck <[email-masked]>
Date: Tue, 15 Dec 2020 15:06:03 +0100

Just to clarify, despite of the title of this bug, it is not a flickering, but the mouse-wheel scrolling preformance decreases with the number of open frames, in the sense that it becomes more and more sticky.

> Am 15.12.2020 um 14:51 schrieb martin rudalics <[email-masked]>:
> 
> > Does “not necessarily” mean
> >
> > (a) if I dont’ have the mentioned problem now, I will never see it;
> >
> > or
> >
> > (b) I should not be surprised if I see it in three weeks, say.
> 
> (a) hopefully.  But note that this is just the isolated problem that
> when you scroll the buffer and redisplay has to relocate point in the
> buffer in order to make it visible, the current line number doesn't get
> updated correctly in the mode line.  As Eli noted elsewhere, there might
> be other things that don't get updated correctly.  Ideally, none of
> these other things should be affected by scrolling but who knows what
> users put into their 'window-scroll-functions' ...
> 
> Finally, I doubt that the two 'wset_update_mode_line' calls in
> 'wset_update_mode_line' are responsible for the flickering you see.  If
> they are not, it might make sense to look for the real culprits.
> 
> martin
>